ttcn3_profmerge(1)

NAME
ttcn3_profmerge - TTCN-3 profiler and code coverage merge tool

SYNOPSIS
ttcn3_profmerge [ -pc ] [ -o file ] [ -s file ] [ -f filter ] db_file1 [ db_file2 ... ]
or
ttcn3_profmerge -v

DESCRIPTION
This manual page is a quick reference for the TTCN-3 profmerge utility of the TTCN-3 Test Executor. The ttcn3_profmerge utility, which can be found in $TTCN3_DIR/bin, merges all input files (profiler databases) given in the command argument into a single output file. It can also generate profiler statistics from the merged database.
Since there are two possible outputs, neither of them are written to the standard output.
It is useful for test suites that are run on multiple Host Controllers (in parallel mode).

OPTIONS
Available command line switches are:

-p  Discards profiler data from the merged database. All execution times will be set to zero in the output database file, and statistics related to execution times will not be generated (both profiler and code coverage data cannot be discarded, since there would be no data left).

-c  Discards code coverage data from the merged database. All execution counts will be set to zero in the output database file, and statistics related to execution counts will not be generated (both profiler and code coverage data cannot be discarded, since there would be no data left).

-o file
    Prints the output (merged) database to the specified file. At least one output file (this or the statistics file) must be set.

-s file
    Prints statistics for the merged database into the specified file. At least one output file (this or the output database file) must be set.

-f filter
    Specifies which statistics entries are generated. The filter is a hexadecimal number, the last 25 bits each correspond to the 25 entries in the statistics file (the least significant bit corresponds to the first entry, and so on). The filter is ignored if the statistics file is not set.

-v  Prints version and license key information and exits.

ENVIRONMENT VARIABLES

TTCN3_DIR
    The installation directory where the uncompressed binary package of the TTCN-3 Test Executor can be found.

TTCN3_LICENSE_FILE
    Points to the file (NB: not the directory) that contains the personalized license key for the current user or host.

BUGS
None known at this time

SEE ALSO
The Programmer's Technical Reference for the TTCN-3 Test Executor.

AUTHOR
This manpage is written by Botond Baranyi, Ericsson Telecom AB
Copyright (c) 2000-2021 Ericsson Telecom AB
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html